Bug 815021 - (CVE-2012-0471) CVE-2012-0471 Mozilla: Potential XSS via multibyte content processing errors (MFSA 2012-24)
CVE-2012-0471 Mozilla: Potential XSS via multibyte content processing errors ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120424,repor...
: Security
Depends On:
Blocks: 812268
  Show dependency treegraph
 
Reported: 2012-04-22 02:26 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 06:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 17:01:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-04-22 02:26:14 EDT
Anne van Kesteren of Opera Software found a multi-octet encoding issue where certain octets will destroy the following octets in the processing of some multibyte character sets. This can leave users vulnerable to cross-site scripting (XSS) attacks on maliciously crafted web pages. 

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-24.html
Comment 1 Vincent Danen 2012-04-24 13:51:08 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue.  Upstream acknowledges Anne van Kesteren of Opera Software as the original reporter.
Comment 2 errata-xmlrpc 2012-04-24 15:46:27 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0516 https://rhn.redhat.com/errata/RHSA-2012-0516.html
Comment 3 errata-xmlrpc 2012-04-24 15:58:45 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0515 https://rhn.redhat.com/errata/RHSA-2012-0515.html

Note You need to log in before you can comment on or make changes to this bug.